<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:focusable="true"
    android:clickable="true"
    >

    <RelativeLayout
        android:layout_centerInParent="true"
        android:layout_margin="50dp"
        android:layout_width="500dp"
        android:layout_height="300dp"
        android:background="@drawable/common_bg_with_radius_and_border">
        <Button
            android:id="@+id/close_from_good"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@mipmap/newdelete"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">
                <com.bonait.bnframework.modules.home.fragment.mode.ImageButtonControl
                    android:id="@+id/image_gz"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    app:imagesrc="@mipmap/silos1"
                    android:tag=""
                    app:showbk="2"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginBottom="20dp"
                    />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="30dp">
                    <RelativeLayout
                        android:layout_centerInParent="true"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">
                        <RelativeLayout
                            android:visibility="gone"
                            android:id="@+id/miaoshu"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/main_background">
                            <TextView
                                android:id="@+id/miaoshutext"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="20dp"
                                android:layout_marginBottom="20dp"
                                android:text="请将原料装满料筒后执行该操作,\n此操作将会全仓满管"
                                android:textAlignment="center"></TextView>
                        </RelativeLayout>

                        <LinearLayout
                            android:visibility="gone"
                            android:id="@+id/liaochang"
                            android:layout_marginTop="50dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">
                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="选择料仓"
                                android:textSize="16dp"
                                android:textAlignment="center"
                                />
                            <Spinner
                                android:id="@+id/editsp_fl"
                                style="@style/commonSpinnerStyle"
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:layout_centerVertical="true"/>
                            <TextView
                                android:layout_marginTop="@dimen/dp_10"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:text="料仓容量(g)"
                                android:textSize="16dp"
                                android:textAlignment="center"
                                />
                            <EditText
                                android:id="@+id/edittext1"
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入"
                                android:inputType="number"
                                android:layout_marginLeft="5dp"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="12dp"
                                android:text="0"/>

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_10"
                                android:text="报警值(g)"
                                android:textAlignment="center"
                                android:textSize="16dp" />
                            <EditText
                                android:id="@+id/edittext2"
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:background="@drawable/input_bj"
                                android:layout_marginLeft="5dp"
                                android:hint="请输入"
                                android:inputType="number"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="12dp"
                                android:text="0"/>
                        </LinearLayout>

                        <RelativeLayout
                            android:visibility="gone"
                            android:id="@+id/jishiqi"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">
                            <LinearLayout
                                android:layout_centerInParent="true"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content">
                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="用时: "
                                    android:textColor="@color/black"
                                    android:textSize="24dp"/>
                                <Chronometer
                                    android:id="@+id/runtime"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/purple_primary"
                                    android:textStyle="bold|italic"
                                    android:textSize="30dp"

                                    />
                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text=" 秒"
                                    android:textColor="@color/white"
                                    android:textSize="24dp"/>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>
                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <Button
                        android:id="@+id/quzhizuo"
                        android:layout_width="200dp"
                        android:layout_height="45dp"
                        android:layout_centerInParent="true"
                        android:background="@drawable/bg"
                        android:text="一键满管"
                        android:textColor="@color/white" />
                </RelativeLayout>

            </LinearLayout>
        </RelativeLayout>
    </RelativeLayout>
</RelativeLayout>